Skip to main content
GET
/
lists
/
people
/
{listId}
Get specific people list info
curl --request GET \
  --url https://app.tryspecter.com/api/v1/lists/people/{listId} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://app.tryspecter.com/api/v1/lists/people/{listId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://app.tryspecter.com/api/v1/lists/people/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "b73c8bed-3b92-48f9-a879-40ee114dca03",
  "name": "Favourites",
  "created_at": "2024-11-14T10:36:12.625Z",
  "updated_at": "2024-11-14T10:36:12.625Z",
  "people": [
    {
      "person_id": "per_2f3c7fe468ec9fc2181bec8b",
      "created_at": "2025-01-02T17:29:46.688Z"
    }
  ]
}
{
"errorCode": "INVALID_LIST_UUID",
"message": "List id must be a valid UUID."
}
{
"errorCode": "API_KEY_MISSING",
"message": "No API Key was presented on the header X-API-KEY"
}
{
"errorCode": "<string>",
"message": "<string>"
}
{
"errorCode": "<string>",
"message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

listId
string<uuid>
required

The ID of the list being requested.

Response

The list including people ids

id
string

List Id

Example:

"b73c8bed-3b92-48f9-a879-40ee114dca03"

name
string

Name of the list

Example:

"Favourites"

created_at
string<date-time>

Date list was created

Example:

"2024-11-14T10:36:12.625Z"

updated_at
string<date-time>

Date the list was last updated

Example:

"2024-11-14T10:36:12.625Z"

people
object[]

The people included in this list